/*======================================================================*\
|| #################################################################### ||
|| # Package - Joomla Template based on YJSimpleGrid Framework          ||
|| # Copyright (C) 2010  Youjoomla.com. All Rights Reserved.            ||
|| # Authors - Dragan Todorovic and Constantin Boiangiu                 ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
jQuery.noConflict();
(function ($) {
    $(function () {



        $(document).ready(function () {


            var element = "#centertop";
            var newclass = 'dark';
            var animestart = 550;
            $(window).scroll(function () {
                if ($(window).scrollTop() >= animestart) {
                    $(element).addClass(newclass);
                } else {
                    $(element).removeClass(newclass);
                }
            });


        });

        $(window).load(function () {


            /* Search module position */
            $('.yj_search').css({
                'display': 'block'
            }).prependTo('#yjsgheadergrid');


            // set yjme element height by highest to make sure floats are not broken
            var yjmeHeight = 0;
            var yjme;
            $(".kickengine.top .yjme_item", yjme).each(function () {
                $this = $(this);
                if ($this.outerHeight() > yjmeHeight) {
                    yjme = this;
                    yjmeHeight = $this.outerHeight();
                }

            });

            $('.kickengine.top .yjme_item').outerHeight(yjmeHeight);


            /* Hover effect */
            $('.yj_hover_effect').each(function () {
                var element = $(this);
                var width = $(this).parent().width();
                var title = $(this).find('.yj_effect_title');
                var image = $(this).find('img');
                var text = $(this).find('.yj_effect_text');
                text.css({
                    display: 'table',
                    left: width
                });
                $(this).mouseenter(function () {
                    $(image).animate({
                        opacity: '0.3'
                    });
                    $(text).animate({
                        left: 0
                    }, 300);
                    $(title).animate({
                        opacity: 1
                    }, 200);
                    $(this).addClass('hover');
                }).mouseleave(function () {
                    $(image).animate({
                        opacity: '1'
                    });
                    $(text).animate({
                        left: width
                    });
                    $(title).animate({
                        opacity: 0
                    });
                });
            });
        });
    });
})
(jQuery);